name: musl
version: 1.1.23
release: 3
sources: https://www.musl-libc.org/releases/musl-%{version}.tar.gz
options:
	- configure: --prefix=/usr --libdir=/lib --syslibdir=/lib --enable-shared --enable-static

@install
	cd %{name}-%{version}

	make DESTDIR="%{pkg}" install

	# FIXME: This’ll have to eventually be more automated.
	# FIXME: That path has to be edited on other architectures.
	mkdir -p %{pkg}/etc
	{
		echo /lib
		echo /usr/weirdos/lib
		echo /usr/bad/lib
		echo /usr/local/lib
	} > %{pkg}/etc/ld-musl-x86_64.path

	for lib in libm libpthread librt libdl; do
		ln -s /lib/libc.so "%{pkg}/lib/${lib}.so"
	done

