name: package
version: 0.5.0
sources:
	- https://git.karchnu.fr/WeirdOS/package/archive/%{version}.tar.gz -> %{name}-%{version}.tar.gz
	- config.cfg

build-dependencies: crystal, shards
# FIXME: FIXME: Build this statically in.
dependencies: gc, libevent, pcre

dirname: package
@configure
	cd %{dirname}
	shards install
@build
	cd %{dirname}
	make PREFIX="%{prefix}"
@install
	cd %{dirname}
	make PREFIX="%{prefix}" DESTDIR="%{pkg}" install

	mkdir -p "%{pkg}/etc"
	cp ../config.cfg "%{pkg}/etc/package.cfg"
